Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.aggregator
Class CompositeAggregator.Parallel

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.aggregator.CompositeAggregator
com.tangosol.util.aggregator.CompositeAggregator.Parallel`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, InvocableMap.EntryAggregator, InvocableMap.ParallelAwareAggregator, java.io.Serializable

Enclosing class:
  CompositeAggregator

      public static class CompositeAggregator.Parallel

extends CompositeAggregator
implements InvocableMap.ParallelAwareAggregator

Parallel implementation of the CompositeAggregator.

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.util.aggregator.CompositeAggregator
`CompositeAggregator.Parallel`

Field Summary

Fields inherited from class com.tangosol.util.aggregator.CompositeAggregator
`m_aAggregator`

Constructor Summary
`` | `CompositeAggregator.Parallel()` Default constructor (necessary for the ExternalizableLite interface).
`protected` | `CompositeAggregator.Parallel(InvocableMap.ParallelAwareAggregator[] aAggregator)` Construct a CompositeParallelAggregator based on a specified `EntryAggregator` array.

Method Summary
`java.lang.Object` | `aggregateResults(java.util.Collection collResults)` Aggregate the results of the parallel aggregations.
`InvocableMap.EntryAggregator` | `getParallelAggregator()` Get an aggregator that can take the place of this aggregator in situations in which the InvocableMap can aggregate in parallel.
`void` | `readExternal(java.io.DataInput in)` Restore the contents of this object by loading the object's state from the passed DataInput object.
`void` | `readExternal(PofReader in)` Restore the contents of a user type instance by reading its state using the specified PofReader object.

Methods inherited from class com.tangosol.util.aggregator.CompositeAggregator
`aggregate, createInstance, equals, getAggregators, hashCode, toString, writeExternal, writeExternal`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Methods inherited from interface com.tangosol.util.InvocableMap.EntryAggregator
`aggregate`

Constructor Detail

### CompositeAggregator.Parallel

    public CompositeAggregator.Parallel()

  Default constructor (necessary for the ExternalizableLite interface).

### CompositeAggregator.Parallel

    protected CompositeAggregator.Parallel(InvocableMap.ParallelAwareAggregator[] aAggregator)

  Construct a CompositeParallelAggregator based on a specified `EntryAggregator` array.
  Parameters:
    `aAggregator` - an array of ParallelAwareAggregator objects; may not be null

Method Detail

### getParallelAggregator

    public InvocableMap.EntryAggregator getParallelAggregator()

  Get an aggregator that can take the place of this aggregator in situations in which the InvocableMap can aggregate in parallel.
  Specified by:
    `getParallelAggregator` in interface `InvocableMap.ParallelAwareAggregator`
  Returns:
    the aggregator that will be run in parallel

### aggregateResults

    public java.lang.Object aggregateResults(java.util.Collection collResults)

  Aggregate the results of the parallel aggregations.
  Specified by:
    `aggregateResults` in interface `InvocableMap.ParallelAwareAggregator`
  Parameters:
    `collResults` - the parallel aggregation results
  Returns:
    the aggregation of the parallel aggregation results

### readExternal

    public void readExternal(java.io.DataInput in)
                      throws java.io.IOException

  Restore the contents of this object by loading the object's state from the passed DataInput object.
  Specified by:
    `readExternal` in interface `ExternalizableLite`
  Overrides:
    `readExternal` in class `CompositeAggregator`
  Parameters:
    `in` - the DataInput stream to read data from in order to restore the state of this object
  Throws:
    `java.io.IOException` - if an I/O exception occurs
    `java.io.NotActiveException` - if the object is not in its initial state, and therefore cannot be deserialized into

### readExternal

    public void readExternal(PofReader in)
                      throws java.io.IOException

  Restore the contents of a user type instance by reading its state using the specified PofReader object.
  Specified by:
    `readExternal` in interface `PortableObject`
  Overrides:
    `readExternal` in class `CompositeAggregator`
  Parameters:
    `in` - the PofReader from which to read the object's state
  Throws:
    `java.io.IOException` - if an I/O error occurs

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.